Package Info

ghc-transformers-compat


A small compatibility shim for the transformers library


Unspecified

This package includes backported versions of types that were added to transformers in transformers 0.3, 0.4, and 0.5 for users who need strict transformers 0.2 or 0.3 compatibility to run on old versions of the platform, but also need those types.

Those users should be able to just depend on 'transformers >= 0.2' and 'transformers-compat >= 0.3'.

Note: missing methods are not supplied, but this at least permits the types to be used.


License: BSD-3-Clause
URL: https://hackage.haskell.org/package/transformers-compat

Categories

Releases

Package Version Update ID Released Package Hub Version Platforms Subpackages
0.4.0.4-3.1 info openSUSE-2016-291 2016-07-04 12 GA-SP5
  • x86-64
  • ghc-transformers-compat
  • ghc-transformers-compat-devel
0.4.0.4-6.2 info 5585 2016-09-14 12 GA-SP5
  • ppc64le
  • ghc-transformers-compat
  • ghc-transformers-compat-devel
0.4.0.4-6.8 info 5585 2016-09-14 12 GA-SP5
  • AArch64
  • s390x
  • x86-64
  • ghc-transformers-compat
  • ghc-transformers-compat-devel
0.5.1.4-bp150.2.6 info GA Release 2018-07-31 15
  • ppc64le
  • ghc-transformers-compat
  • ghc-transformers-compat-devel
0.5.1.4-bp150.2.7 info GA Release 2018-07-30 15
  • AArch64
  • x86-64
  • ghc-transformers-compat
  • ghc-transformers-compat-devel
0.6.2-bp151.1.13 info GA Release 2019-05-31 15 SP1
  • AArch64
  • ghc-transformers-compat
  • ghc-transformers-compat-devel
0.6.2-bp151.2.2 info GA Release 2019-07-17 15 SP1
  • ppc64le
  • s390x
  • x86-64
  • ghc-transformers-compat
  • ghc-transformers-compat-devel
0.6.5-bp152.1.14 info GA Release 2020-06-16 15 SP2
  • AArch64
  • ppc64le
  • x86-64
  • ghc-transformers-compat
  • ghc-transformers-compat-devel
0.6.5-bp153.1.20 info GA Release 2021-04-08 15 SP3
  • AArch64
  • ppc64le
  • x86-64
  • ghc-transformers-compat
  • ghc-transformers-compat-devel